Skip to main content
PUT
Move a document

Authorizations

__Secure-better-auth.session_token
string
cookie
required

The session cookie set when you sign in to the web app.

Path Parameters

documentId
string
required
Maximum string length: 64

Body

application/json
folderId
string | null
required
Maximum string length: 64
supersedes
string
required
Maximum string length: 64
operationId
string<uuid>
required
at
string<date-time>
required

Response

The document at its new version.

id
string
required
version
string
required
kind
enum<string>
required
Available options:
driver-license,
passport,
id-card,
health-card,
insurance-policy,
vehicle-licensing,
other
subjectId
string | null
required
label
string
required
validUntil
string | null
required
folderId
string | null
required
fieldNames
string[]
required
contentType
enum<string>
required
Available options:
application/pdf,
image/jpeg,
image/png